# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.metadata.AaguidEntry

Packages that use AaguidEntry
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.metadata.impl
This package has the FIDO metadata implementation for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.storage
Storage APIs for WebAuthn.

## Uses of AaguidEntry in net.shibboleth.idp.plugin.authn.webauthn.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.impl that return AaguidEntry
Modifier and Type
Method
Description
`protected AaguidEntry`
AbstractWebAuthnAction.`getAaguidMetadata(com.yubico.fido.metadata.AAGUID aaguid)`
Get basic authenticator/provider information from the AAGUID.

## Uses of AaguidEntry in net.shibboleth.idp.plugin.authn.webauthn.metadata.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.metadata.impl with type parameters of type AaguidEntry
Modifier and Type
Field
Description
`private final Map<String,AaguidEntry>`
PasskeyAaguidMetadataService.`metadata`
The metadata.
Methods in net.shibboleth.idp.plugin.authn.webauthn.metadata.impl that return AaguidEntry
Modifier and Type
Method
Description
`AaguidEntry`
PasskeyAaguidMetadataService.`getEntry(com.yubico.fido.metadata.AAGUID aaguid)`
Get a metadata entry based on the AAGUID.
`AaguidEntry`
PasskeyAaguidMetadataService.`getEntry(String aaguid)`
Get a metadata entry based on the AAGUID as a string.
Constructor parameters in net.shibboleth.idp.plugin.authn.webauthn.metadata.impl with type arguments of type AaguidEntry
Modifier
Constructor
Description
``
`PasskeyAaguidMetadataService(Map<String,AaguidEntry> mtdata)`
Constructor.

## Uses of AaguidEntry in net.shibboleth.idp.plugin.authn.webauthn.storage

Fields in net.shibboleth.idp.plugin.authn.webauthn.storage declared as AaguidEntry
Modifier and Type
Field
Description
`private AaguidEntry`
EnhancedCredentialRecord.`aaguidMetadata`
An AAGUID entry provided by a supplementary JSON file that describes authenticators not in the MDS feed e.g.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage with parameters of type AaguidEntry
Modifier and Type
Method
Description
`void`
EnhancedCredentialRecord.`setAaguidMetadata(AaguidEntry metadata)`
Set the AAGUID entry that describes the authenticator.